<div class="modal" tabindex="-1" id="user-data-modal" role="dialog">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <form (ngSubmit)="form.valid && addNewUser()" #form="ngForm" autocomplete="nope">
          <div class="avatar-container">
            <span class="avatar-icon" *ngIf="!userId">
              <i class="fa fa-user"></i>
            </span>
            <img src="{{userAvatar}}" class="avatar-image" *ngIf="userId && userAvatar">
          </div>
          <div class="row form-container">
            <div class="col-12">
              <div class="form-group">
                <label class="label dark-text2 fz14" for="name">Name</label>
                <input #name="ngModel" name="name" [(ngModel)]="user.name" [required]="true" placeholder="Enter Your name" type="text" class="form-control">
              </div>
            </div>
            <div class="col-12">
              <div class="form-group">
                <label class="label dark-text2 fz14" for="title">Job title</label>
                <input #job="ngModel" name="job" [(ngModel)]="user.job"  placeholder="Enter Your Job" type="text" class="form-control">
              </div>
            </div>
            <div class="col-6 mt15">
              <input data-dismiss="modal" value="Cancel" class="btn btn-block custom-btn light">
            </div>
            <div class="col-6 mt15">
              <input type="submit" value="Add" [disabled]="form.invalid" class="btn btn-block custom-btn">
            </div>
            <app-spinner [hidden]="!loading" class="center"></app-spinner>
            <div class="col-12">
              {{errorMessage}}
            </div>
            <div class="col-12 green-text text-center mt10 fw500">
              {{successMessage}}
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>